Name:     streamripper-gui
Version:  0.1.2
Release:  %mkrel 3

Summary:  Graphical frontend for streamripper
URL:      http://skss.learnfree.eu/
Source:   %{name}-%{version}.tar.xz
License:  GPLv3
Group:    Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Patch:    streamripper-gui-%{version}.patch
Requires: python 
Requires: pygtk2.0-libglade
Requires: python-dbus
Requires: streamripper

%description
Simple and easy to use graphical frontend for streamripper.

%prep
%setup -q 
%patch -p1

%build
#nobuild

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 %{name} \
$RPM_BUILD_ROOT/%{_bindir}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -r *.py $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -r %{name}.glade $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -r locale $RPM_BUILD_ROOT/%{_datadir}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -m 755 *.desktop \
$RPM_BUILD_ROOT/%{_datadir}/applications


%clean
rm -rf $RPM_BUILD_ROOT



%files 
%defattr(-,root,root)
%_bindir/%{name}
%_datadir/%{name}
%_datadir/locale/*/LC_MESSAGES/*.mo
%_datadir/applications/*.desktop


%changelog
* Tue Jul 21 2015 Ken <lxgator at gmail.com> 0.1.2-3pclos2015
- patch glade errors (unknown attribute `swapped') 

* Fri Aug 16 2013 billybot <billybot> 0.1.2-2pclos2013
- update python 2.7

* Fri Jul 26 2013 Ken <lxgator at gmail.com> 0.1.2-1pclos2013
- initial build 

